summaryrefslogtreecommitdiffstats
path: root/generate.sh
diff options
context:
space:
mode:
Diffstat (limited to 'generate.sh')
-rwxr-xr-xgenerate.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/generate.sh b/generate.sh
index 721e09d..ae4fdad 100755
--- a/generate.sh
+++ b/generate.sh
@@ -28,7 +28,6 @@ if [[ "$file" =~ "velo" ]]; then
name=`basename $file .exe | cut -c 5-`
img=maps/velo-$name.img
else
- typ=thin*.TYP
name=`basename $file .exe | cut -c 4-`
img=maps/mtb-$name.img
fi
@@ -41,8 +40,8 @@ fi
prepare $file
if [ ! -f work/$typ ]; then
- echo "Type file is not found, failing out..."
- exit 1
+ [ -f work/clas*.TYP ] && typ=clas*.TYP
+ [ -z "$typ" ] && { echo "TYP file is not found (might be naming changed again, check in workdir), failing out..."; exit 1; }
fi
id=`ls work/6*.img | head -n 1 | cut -c 6-9`